# Live pod state with usage totals Source: https://docs.orchard.hackclub.com/api/operations/deployments_pods_live_get/ `GET /apiv1/deployments/{id}/pods-live` Operation ID: `deployments_pods_live_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "availableReplicas": { "type": "number" }, "pods": { "items": { "additionalProperties": {}, "properties": { "containers": { "items": { "additionalProperties": {}, "properties": { "image": { "type": [ "string", "null" ] }, "init": { "type": "boolean" }, "lastTermination": { "additionalProperties": {}, "properties": { "exitCode": { "type": [ "number", "null" ] }, "finishedAt": { "type": [ "string", "null" ] }, "reason": { "type": [ "string", "null" ] } }, "required": [ "reason" ], "type": [ "object", "null" ] }, "message": { "type": [ "string", "null" ] }, "name": { "type": "string" }, "ready": { "type": "boolean" }, "reason": { "type": [ "string", "null" ] }, "restartCount": { "type": "number" }, "startedAt": { "type": [ "string", "null" ] }, "state": { "enum": [ "running", "waiting", "terminated", "unknown" ], "type": "string" } }, "required": [ "name" ], "type": "object" }, "type": "array" }, "cpuUsage": { "type": [ "number", "null" ] }, "createdAt": { "type": [ "string", "null" ] }, "deletingAt": { "type": [ "string", "null" ] }, "disruption": { "type": [ "string", "null" ] }, "graceSeconds": { "type": [ "number", "null" ] }, "id": { "type": "string" }, "ip": { "type": [ "string", "null" ] }, "memoryUsage": { "type": [ "number", "null" ] }, "name": { "type": "string" }, "nodeName": { "type": [ "string", "null" ] }, "notReadySince": { "type": [ "string", "null" ] }, "phase": { "type": [ "string", "null" ] }, "podIp": { "type": [ "string", "null" ] }, "probes": { "properties": { "liveness": { "type": "boolean" }, "readiness": { "type": "boolean" }, "startup": { "type": "boolean" } }, "required": [ "liveness", "readiness", "startup" ], "type": "object" }, "readySince": { "type": [ "string", "null" ] }, "reason": { "type": [ "string", "null" ] }, "restartCount": { "type": "number" }, "revision": { "type": [ "string", "null" ] }, "scheduled": { "type": "boolean" }, "schedulingMessage": { "type": [ "string", "null" ] }, "slot": { "type": [ "string", "null" ] }, "startTime": { "type": [ "string", "null" ] }, "status": { "type": "string" }, "unschedulableSince": { "type": [ "string", "null" ] } }, "required": [ "name", "status" ], "type": "object" }, "type": "array" }, "rollout": { "properties": { "available": { "type": "number" }, "currentRevision": { "type": [ "string", "null" ] }, "desired": { "type": "number" }, "previous": { "properties": { "createdAt": { "type": [ "string", "null" ] }, "hash": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "number": { "type": "number" }, "ready": { "type": "number" }, "replicas": { "type": "number" } }, "required": [ "hash", "number", "image", "createdAt", "replicas", "ready" ], "type": [ "object", "null" ] }, "ready": { "type": "number" }, "reason": { "type": [ "string", "null" ] }, "revisions": { "items": { "properties": { "createdAt": { "type": [ "string", "null" ] }, "hash": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "number": { "type": "number" }, "ready": { "type": "number" }, "replicas": { "type": "number" } }, "required": [ "hash", "number", "image", "createdAt", "replicas", "ready" ], "type": "object" }, "type": "array" }, "state": { "enum": [ "stable", "progressing", "failed" ], "type": "string" }, "updated": { "type": "number" } }, "required": [ "currentRevision", "revisions", "desired", "updated", "ready", "available", "state", "reason" ], "type": [ "object", "null" ] }, "totalCpuUsage": { "type": [ "number", "null" ] }, "totalMemoryUsage": { "type": [ "number", "null" ] }, "warnings": { "items": { "additionalProperties": {}, "properties": { "message": { "type": "string" }, "podName": { "type": "string" }, "timestamp": { "type": "string" } }, "type": "object" }, "type": "array" } }, "required": [ "pods", "warnings", "availableReplicas", "totalCpuUsage", "totalMemoryUsage" ], "type": "object" } ```